# Uses of Interface
org.osgi.resource.Wire

Packages that use Wire
Package
Description
org.apache.felix.framework
org.apache.felix.framework.wiring
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.
org.osgi.resource
Resource Package Version 1.0.

## Uses of Wire in org.apache.felix.framework

Methods in org.apache.felix.framework that return types with arguments of type Wire
Modifier and Type
Method
Description
`List<Wire>`
BundleWiringImpl.`getProvidedResourceWires(String namespace)`
`List<Wire>`
BundleWiringImpl.`getRequiredResourceWires(String namespace)`

## Uses of Wire in org.apache.felix.framework.wiring

Classes in org.apache.felix.framework.wiring that implement Wire
Modifier and Type
Class
Description
`class`
`BundleWireImpl`

## Uses of Wire in org.osgi.framework.wiring

Subinterfaces of Wire in org.osgi.framework.wiring
Modifier and Type
Interface
Description
`interface`
`BundleWire`
A wire connecting a `BundleCapability` to a `BundleRequirement`.
Methods in org.osgi.framework.wiring that return types with arguments of type Wire
Modifier and Type
Method
Description
`List<Wire>`
BundleWiring.`getProvidedResourceWires(String namespace)`
Returns the `Wire`s to the provided `capabilities` of this wiring.
`List<Wire>`
BundleWiring.`getRequiredResourceWires(String namespace)`
Returns the `Wire`s to the `requirements` in use by this wiring.

## Uses of Wire in org.osgi.resource

Methods in org.osgi.resource that return types with arguments of type Wire
Modifier and Type
Method
Description
`List<Wire>`
Wiring.`getProvidedResourceWires(String namespace)`
Returns the `Wire`s to the provided `capabilities` of this wiring.
`List<Wire>`
Wiring.`getRequiredResourceWires(String namespace)`
Returns the `Wire`s to the `requirements` in use by this wiring.